import { render } from "@testing-library/react";
import { axe } from "vitest-axe";

import { Icon } from "../";

const example = (
  <>
    <Icon name="accessibility" />
    <Icon name="accessibility" alt="icon w alt text" />
  </>
);

it("is valid html", () => {
  const { container } = render(example);
  expect(container).toHTMLValidate();
});

it("is accessible", async () => {
  const { container } = render(example);
  expect(await axe(container)).toHaveNoViolations();
});
